// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import 'babel-polyfill'
import Vue from 'vue'
import axios from 'axios'
import '@/assets/icon/iconfont.css'
import LuckDraw from 'vue-luck-draw'

Vue.use(LuckDraw)

// axios.defaults.baseURL = 'http://192.168.0.249:8080/'
// axios.defaults.baseURL = '/'
const isLocal = process.env.NODE_ENV === 'development' ? false : ~(process.env.ISLOCAL.indexOf('local'))
Vue.prototype.$isLocal = isLocal

const router = require('./router').default
const App = require('./App').default

Vue.config.productionTip = false
Vue.prototype.$http = axios
Vue.prototype.$bus = new Vue()

// import router from './router'

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})

document.documentElement.className += ' ie' + document.documentMode
